<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" xmlns="http://www.w3.org/1999/html"
      layout:decorate="~{layout5}">
<head>
  <meta charset="UTF-8">
  <title>Attendance Event</title>
</head>
<body>
<main layout:fragment="main" class="container">
  <!--    <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>-->
  <div class="row">
    <div class="col-md-12">
      <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
        <span>Attendance Event</span>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-6">
      <div th:if="${gagal != null}" class="alert alert-danger" role="alert">
        <span th:text="${gagal}"></span>
      </div>

      <form class="form-horizontal" th:action="@{/request/attendance/event/save(scheduleEvent=${scheduleEvent.getId()})}" th:object="${attendanceScheduleEvent}" method="post" enctype="multipart/form-data">
        <div class="shadow-sm p-3 mb-3 bg-body bg-opacity-50 border rounded">
          <div class="mb-3">
            <label for="sched" class="form-label">Resume</label>
            <textarea name="scheduleDescription" id="sched" cols="30" rows="10" th:field="*{description}"></textarea>
            <p th:if="${#fields.hasErrors('description')}" th:errors="*{description}" class="text-danger"> Mata Anggaran Error</p>
          </div>

<!--          <input type="hidden" name="scheduleEvent" th:field="*{scheduleEvent}" th:value="${scheduleEvent.getId()}">-->

<!--          <div class="mb-3">-->
<!--            <label for="formFile" class="form-label">Upload Bukti</label>-->
<!--            <input class="form-control" type="file" name="fileUpload" id="formFile">-->
<!--          </div>-->

          <div class="mb-3">
            <label for="lampiran" class="form-label">Upload Photo</label>
            <input class="form-control" type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,image/x-eps" required>
            <p class="help-block">lampirkan rekam jejak kehadiran , maksimal 500Kb.</p>
          </div>

          <div class="row">
            <div class="col-md-12">
              <a th:href="@{/dashboard}" class="btn btn-default" style="--bs-btn-bg: #e8ecf1">Cancel</a>
              <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d">Save</button>
            </div>
          </div>


        </div>
      </form>
    </div>
  </div>
</main>

<main layout:fragment="footer" class="script">
  <script src="https://cdn.ckeditor.com/ckeditor5/35.2.1/classic/ckeditor.js"></script>
  <script>
    ClassicEditor
            .create( document.querySelector( '#sched' ) )
            .catch( error => {
              console.error( error );
            } );
  </script>
</main>
</body>
</html>